"use strict";

var path = require("path");

/**
 * @name bloggify:init
 * @param {Object} config
 *
 * - `scripts` (Array): An array of paths to client JavaScript files.
 * - `styles` (Array): An array of paths to CSS files.
 * - `server` (Array): An array of paths to server JavaScript files.
 */
module.exports = function (config, bloggify) {
    config.scripts.concat(config.styles).forEach(function (c) {
        return bloggify.assets.add(path.resolve(bloggify.paths.root, c));
    });
    config.server.forEach(function (c) {
        var file = require(bloggify.paths.root + "/" + c);
        if (typeof file === "function") {
            file(bloggify);
        } else if (typeof file.init === "function") {
            file.init(bloggify);
        }
    });
};